<?php

/**
 * NOTE: This file is auto generated by OpenAPI Generator.
 * Do NOT edit it manually. Run `php artisan openapi:generate-server`.
 */

use App\Http\ApiV1\Modules\Control\Controllers\ChannelsController;
use App\Http\ApiV1\Modules\Control\Controllers\EventsController;
use App\Http\ApiV1\Modules\Control\Controllers\StatusesController;
use App\Http\ApiV1\Modules\Control\Controllers\ThemesController;
use App\Http\ApiV1\Modules\Control\Controllers\TypesController;
use App\Http\ApiV1\Modules\Notifications\Controllers\NotificationsController;
use App\Http\ApiV1\Modules\Notifications\Controllers\NotificationSettingsController;
use Illuminate\Support\Facades\Route;

Route::post('statuses', [StatusesController::class, 'create']);
Route::delete('statuses/{id}', [StatusesController::class, 'delete']);
Route::patch('statuses/{id}', [StatusesController::class, 'patch']);
Route::post('statuses:search', [StatusesController::class, 'search']);
Route::post('themes', [ThemesController::class, 'create']);
Route::delete('themes/{id}', [ThemesController::class, 'delete']);
Route::patch('themes/{id}', [ThemesController::class, 'patch']);
Route::post('themes:search', [ThemesController::class, 'search']);
Route::post('types', [TypesController::class, 'create']);
Route::delete('types/{id}', [TypesController::class, 'delete']);
Route::patch('types/{id}', [TypesController::class, 'patch']);
Route::post('types:search', [TypesController::class, 'search']);
Route::post('channels', [ChannelsController::class, 'create']);
Route::delete('channels/{id}', [ChannelsController::class, 'delete']);
Route::patch('channels/{id}', [ChannelsController::class, 'patch']);
Route::post('channels:search', [ChannelsController::class, 'search']);
Route::post('event', [EventsController::class, 'parse']);
Route::post('notification-settings', [NotificationSettingsController::class, 'create']);
Route::get('notification-settings/{id}', [NotificationSettingsController::class, 'get']);
Route::delete('notification-settings/{id}', [NotificationSettingsController::class, 'delete']);
Route::patch('notification-settings/{id}', [NotificationSettingsController::class, 'patch']);
Route::post('notification-settings:search', [NotificationSettingsController::class, 'search']);
Route::get('notification-setting-variables', [NotificationSettingsController::class, 'getVariables']);
Route::post('notifications:search', [NotificationsController::class, 'search']);
Route::post('notifications:mass-patch', [NotificationsController::class, 'massPatch']);
